- Qt 6.6
- Qt Sensors
- QML Types
- CompassReading
- Qt 6.6.2 Reference Documentation

# CompassReading QML Type

The CompassReading element holds the most recent Compass reading. More...

Import Statement: | import QtSensors
Since: | QtSensors 5.0
Inherits: | SensorReading

- List of all members, including inherited members

## Properties

- azimuth : qreal
- calibrationLevel : qreal

## Detailed Description

The CompassReading element holds the most recent Compass reading.

This element wraps the QCompassReading class. Please see the documentation for QCompassReading for details.

This element cannot be directly created.

## Property Documentation

azimuth : qreal

This property holds the azimuth of the device.

Please see QCompassReading::azimuth for information about this property.

calibrationLevel : qreal

This property holds the calibration level of the reading.

Please see QCompassReading::calibrationLevel for information about this property.